<?php 

echo CHtml::errorSummary( $maintenance )  ."\n";

echo CHtml::tag("h2", array(), "System Restart") ."\n";
echo CHtml::openTag("div", array("class"=>"yiiForm") ) . CHtml::form();
echo CHtml::tag("div", array( 'class'=>'action'), CHtml::submitButton("Restart Now", array('name'=>'reboot') ) );
echo CHtml::endForm() . CHtml::closeTag("div" );

echo CHtml::tag("h2", array(), "Restore Default Content") ."\n";
echo CHtml::openTag("div", array("class"=>"yiiForm") ) . CHtml::form();
echo CHtml::tag("div", array("class"=>"simple space"),  "Pressing 'Restore Default Content' will remove all content from the local storage and replace it by the factory default content.");
$option = array('name'=>'resetcontent');
if ( $fusion->active ) {
	echo CHtml::tag("div", array("class"=>"simple space"),  "WARNING: restoring the default content will also disable Fusion.");
}
echo CHtml::tag("div", array( 'class'=>'action'), CHtml::submitButton("Restore Default Content", $option ) );
echo CHtml::endForm() . CHtml::closeTag("div" );

echo CHtml::tag("h2", array(), "Reset to Factory Default") ."\n";
echo CHtml::openTag("div", array("class"=>"yiiForm") ) . CHtml::form();
echo CHtml::tag("div", array("class"=>"simple space"),  "Pressing 'Reset to Factory Default' will restore all the settings of the ".Yii::app()->user->branding->product." to their initial factory values.");
echo CHtml::tag("div", array("class"=>"simple space"),  "It will also remove all content from the local storage and replace it by the factory default content.");
echo CHtml::tag("div", array( 'class'=>'action'),   CHtml::submitButton("Reset to Factory Default", array('name'=>'reset_factory') ) ." " );
echo CHtml::endForm() . CHtml::closeTag("div" );


echo CHtml::tag("h2", array(), "Reporting") ."\n";
echo CHtml::openTag("div", array("class"=>"yiiForm") ) . CHtml::form( array("admin/report") );
echo CHtml::tag("div", array("class"=>"simple space"),  "Before contacting ".Yii::app()->user->branding->vendor." support team ".
                                                        "(<a href='mailto://".Yii::app()->user->branding->email."'>".Yii::app()->user->branding->email."</a>), ".
                                                        "please generate a status report with all display attached to the ".Yii::app()->user->branding->product.".\n");
echo CHtml::tag("div", array( 'class'=>'action'), CHtml::submitButton("Get Report", array('name'=>'report') ) );
echo CHtml::endForm() . CHtml::closeTag("div" );

