<?php 

echo CHtml::openTag("div", array('class'=>"new_user") );

echo CHtml::tag("h2", array( ), Yii::t('app',"New User"));

echo CHtml::form(array("users/create"));

echo CHtml::errorSummary($user); 

echo CHtml::openTag("div", array('class'=>"new_user_info") );
echo CHtml::activeTextField($user,'username');
echo CHtml::activePasswordField($user,'password');
echo CHtml::activePasswordField($user,'repeat_password');
echo CHtml::closeTag("div") ."\n";

echo CHtml::openTag("div", array('class'=>"new_user_rights") );
foreach (User::$meta_roles as $name=>$roles) {
	echo CHtml::tag("div", array('class'=>"check"), 
								 CHtml::activeRadioButton($user, 'roles', array('value'=>$name)).
								 CHtml::tag("span", array('class'=>'user_rights_desc'), $name)
					);
}
echo CHtml::closeTag("div") ."\n";

echo CHtml::openTag("div", array('class'=>"bottom-button") );
echo CHtml::submitButton(Yii::t('app', 'Add'), array(	"submit"=>"", 
														"class"=>"right-button button",
                                                    )
                                    );
echo CHtml::closeTag("div") ."\n"; //button_line

echo CHtml::closeTag("form");

echo CHtml::closeTag("div") ."\n";
