<?php
/*
 * Created on 6 Aug 2007 
 * By julien reichel <julien.reichel@spinetix.com>
 */
$title="Logs";
include ("prolog.php");

$accounting=array();
$backup=array();
$current=array();

$logPath='/srv/raperca/log';
$filelist=scandir($logPath);
natsort($filelist);
if ( in_array("accounting.log", $filelist ) )
    $accounting[] = "accounting.log";

foreach($filelist as $file){
    if ($file[0]=='.') continue;
    if ( strcmp($file,"accounting.log")==0 ) continue;
    if (strncmp($file,"accounting",10)==0 )
        $accounting[] = $file; 
    else if (strncmp(substr($file,-3),".gz",3)==0)
        $backup[] = $file; 
    else
        $current[] = $file; 
}
$logPath=realpath('../log');
$filelist=scandir($logPath);
natsort($filelist);


echo "<h2>Accounting Logs</h2>\n";
echo "<ul>\n";
foreach($accounting as $file){
	echo "<li><a href=\"log/", htmlspecialchars($file), "\">", htmlspecialchars($file), "</a></li>\n"; 
}
echo "</ul>\n";


echo "<h2>Current Logs</h2>\n";
echo "<ul>\n";
foreach($current as $file){
	echo "<li><a href=\"log/", htmlspecialchars($file), "\">", htmlspecialchars($file), "</a></li>\n"; 
}
echo "</ul>\n";

echo "<h2>Backup Logs</h2>\n";
echo "<ul>\n";
foreach($backup as $file){
	echo "<li><a href=\"log/", htmlspecialchars($file), "\">", htmlspecialchars($file), "</a></li>\n"; 
}
echo "</ul>\n";


include ("final.php");
?>
